<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.produce.produce.mapper.ProdWriteStockMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.produce.produce.entity.ProdWriteStock">
        <id column="id" property="id" />
        <result column="farm_id" property="farmId" />
        <result column="all_stock" property="allStock" />
        <result column="piglet_stock" property="pigletStock" />
        <result column="sow_stock" property="sowStock" />
        <result column="fat_stock" property="fatStock" />
        <result column="boar_stock" property="boarStock" />
        <result column="out_stock" property="outStock" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, farm_id, all_stock, piglet_stock, sow_stock, fat_stock, boar_stock, out_stock
    </sql>

</mapper>
